Bug 1282058 - SELinux is preventing plugin-containe from 'write' accesses on the directory crusaderus.
SELinux is preventing plugin-containe from 'write' accesses on the directory ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:75b488ee5930e7fd6cc6a47b69b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 12:27 EST by Alexander Zagornov
Modified: 2018-01-05 07:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:53:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
krusaderus: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Alexander Zagornov 2015-11-14 12:27:26 EST
Description of problem:
SELinux is preventing plugin-containe from 'write' accesses on the directory crusaderus.

*****  Plugin mozplugger (93.0 confidence) suggests   ************************

If нужно использовать пакет plugin
Then необходимо отключить контроль SELinux для дополнительных модулей Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall_labels (6.67 confidence) suggests   *******************

If you want to allow plugin-containe to have write access on the crusaderus directory
Then необходимо изменить метку на crusaderus
Do
# semanage fcontext -a -t FILE_TYPE 'crusaderus'
где FILE_TYPE может принимать значения: admin_home_t, cache_home_t, config_home_t, data_home_t, dbus_home_t, gconf_home_t, gkeyringd_gnome_home_t, gnome_home_t, gstreamer_home_t, home_cert_t, icc_data_home_t, mozilla_home_t, mozilla_plugin_rw_t, mozilla_plugin_tmp_t, mozilla_plugin_tmpfs_t, mplayer_home_t, pulseaudio_home_t, texlive_home_t, tmp_t, tmpfs_t, user_fonts_cache_t, user_home_dir_t, user_home_t, user_tmp_t.
Затем выполните: 
restorecon -v 'crusaderus'


*****  Plugin catchall (1.73 confidence) suggests   **************************

If вы считаете, что plugin-containe следует разрешить доступ write к crusaderus directory по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                crusaderus [ dir ]
Source                        plugin-containe
Source Path                   plugin-containe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64 #1 SMP Tue
                              Oct 27 04:29:56 UTC 2015 x86_64 x86_64
Alert Count                   182
First Seen                    2015-11-14 19:42:52 MSK
Last Seen                     2015-11-14 19:42:54 MSK
Local ID                      5e2f7819-e997-4e91-bca6-5cefb156a9b0

Raw Audit Messages
type=AVC msg=audit(1447519374.914:2240): avc:  denied  { write } for  pid=4873 comm="plugin-containe" name="crusaderus" dev="sda2" ino=262145 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0


Hash: plugin-containe,mozilla_plugin_t,unlabeled_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-11-20 07:55:55 EST
Where is "crusaderus" located?
Comment 2 Fedora Admin XMLRPC Client 2016-09-27 11:03:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 08:25:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:53:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.